<?php

namespace Drupal\k8s\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining a Pod entity.
 *
 * @ingroup k8s
 */
interface PodInterface extends ContentEntityInterface, EntityOwnerInterface {

  /**
   * {@inheritdoc}
   */
  public function getCloudContext();

  /**
   * {@inheritdoc}
   */
  public function getName();

  /**
   * {@inheritdoc}
   */
  public function setName($name);

  /**
   * {@inheritdoc}
   */
  public function getNamespace();

  /**
   * {@inheritdoc}
   */
  public function setNamespace($namespace);

  /**
   * {@inheritdoc}
   */
  public function getLabels();

  /**
   * {@inheritdoc}
   */
  public function setLabels($labels);

  /**
   * {@inheritdoc}
   */
  public function getAnnotations();

  /**
   * {@inheritdoc}
   */
  public function setAnnotations($annotations);

  /**
   * {@inheritdoc}
   */
  public function getStatus();

  /**
   * {@inheritdoc}
   */
  public function setStatus($status);

  /**
   * {@inheritdoc}
   */
  public function getQosClass();

  /**
   * {@inheritdoc}
   */
  public function setQosClass($qos_class);

  /**
   * {@inheritdoc}
   */
  public function getNodeName();

  /**
   * {@inheritdoc}
   */
  public function setNodeName($node_name);

  /**
   * {@inheritdoc}
   */
  public function getPodIp();

  /**
   * {@inheritdoc}
   */
  public function setPodIp($pod_ip);

  /**
   * {@inheritdoc}
   */
  public function getContainers();

  /**
   * {@inheritdoc}
   */
  public function setContainers($containers);

  /**
   * {@inheritdoc}
   */
  public function getRestarts();

  /**
   * {@inheritdoc}
   */
  public function setRestarts($restarts);

  /**
   * {@inheritdoc}
   */
  public function getDetail();

  /**
   * {@inheritdoc}
   */
  public function setDetail($detail);

  /**
   * {@inheritdoc}
   */
  public function created();

  /**
   * {@inheritdoc}
   */
  public function changed();

  /**
   * {@inheritdoc}
   */
  public function getRefreshed();

  /**
   * {@inheritdoc}
   */
  public function setRefreshed($time);

}
