<?php

namespace Drupal\k8s\Entity;

use Drupal\cloud\Entity\CloudBaseViewBuilder;

/**
 * Provides the pod view builders.
 */
class PodViewBuilder extends CloudBaseViewBuilder {

  /**
   * {@inheritdoc}
   */
  protected function getFieldsetDefs() {
    return [
      [
        'name' => 'pod',
        'title' => t('Pod'),
        'open' => TRUE,
        'fields' => [
          'name',
          'status',
          'qos_class',
          'node_name',
          'pod_ip',
          'created',
          'labels',
          'annotations',
        ],
      ],
      [
        'name' => 'pod_containers',
        'title' => t('Containers'),
        'open' => FALSE,
        'fields' => [
          'containers',
        ],
      ],
      [
        'name' => 'pod_detail',
        'title' => t('Detail'),
        'open' => FALSE,
        'fields' => [
          'detail',
        ],
      ],
      [
        'name' => 'others',
        'title' => t('Others'),
        'open' => FALSE,
        'fields' => [
          'cloud_context',
          'uid',
        ],
      ],
    ];
  }

}
